%define name		javalayer
%define major		0
%define minor		4
%define micro		0
%define tversion	%{major}.%{minor}
%define jversion	%{major}%{minor}%{micro}
%define version		%{tversion}
%define release		1jpp
%define section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:        100% Java MP3 decoder/player/converter library
License:        GPL
Url:            http://www.javazoom.net/%{name}/%{name}.html
Group:          Development/Java
Vendor:         JPackage Project
Distribution:	JPackage
Source0:        http://www.javazoom.net/%{name}/sources/%{name}%{tversion}.tar.gz
BuildRequires:  ant
BuildRequires:	jpackage-utils >= 0:1.5
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
The core of JavaLayer is an Mpeg Audio decoder.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -c
find . -name "*.jar" -exec rm -f {} \;
find . -name "*.class" -exec rm -f {} \;

%build
ant all

%install
# jar
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 jl%{version}.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do \
ln -sf ${jar} ${jar/-%{version}/}; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr doc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc CHANGES.txt LICENSE.txt README.txt
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%changelog
* Tue Jan 20 2004 David Walluck <david@anti-microsoft.org> 0:0.4-1jpp
- 0.4
- change Group

* Tue Sep 09 2003 David Walluck <david@anti-microsoft.org> 0:0.3.0-1jpp
- 0.3.0

* Tue May 06 2003 David Walluck <david@anti-microsoft.org> 0:0.2.0-5jpp
- update for JPackage 1.5

* Mon Feb 24 2003 David Walluck <david@anti-microsoft.org> 0.2.0-4jpp
- remove the class files so that we actually build the jar ourselves

* Mon Feb 24 2003 David Walluck <david@anti-microsoft.org> 0.2.0-3jpp
- they say third time's a charm

* Mon Feb 24 2003 David Walluck <david@anti-microsoft.org> 0.2.0-2jpp
- someone was paying attention, but it was not me

* Wed Feb 19 2003 David Walluck <david@anti-microsoft.org> 0.2.0-1jpp
- release
